package org.itscool.commons.bean;

import org.itscool.commons.collection.KeyLinkedList;

/**
 * Beanのプロパティ情報管理クラス<BR>
 * [改訂履歴]<BR>
 * @version 1.00A 2004/11/1 新規作成
 * @version 1.10A 2006/01/17 配列保持対応
 */
public class BeanPropertyInfo {
    /**
     * プロパティ名
     */
    private String name;
    /**
     * 初期値
     */
    private String value;
    /**
     * プロパティが別のBeanを参照するときに使用するBeanの論理名
     */
    private String ref;
    
//add 2006/01/17 M.kano start
    private KeyLinkedList attrMap;
    private String collection;
    
    public BeanPropertyInfo(){
        attrMap = new KeyLinkedList();
    }
//add 2006/01/17 M.kano end
    
    public String getRef() {
        return ref;
    }
    
    public void setRef(String ref) {
        this.ref = ref;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public String getValue() {
        return value;
    }
    
    public void setValue(String value) {
        this.value = value;
    }
    
//	add 2006/01/17 M.kano start
    
    public KeyLinkedList getAttrList() {
        return attrMap;
    }
    
    public void setAttrList(KeyLinkedList attrMap) {
        this.attrMap = attrMap;
    }
    
    public String getCollection() {
        return collection;
    }
    
    public void setCollection(String collection) {
        this.collection = collection;
    }
//	add 2006/01/17 M.kano end
    
}
